Issue #7711 has been reported by trans (Thomas Sawyer).

----------------------------------------
Feature #7711: RubyGems uses autoload
https://bugs.ruby-lang.org/issues/7711

Author: trans (Thomas Sawyer)
Status: Open
Priority: Normal
Assignee: 
Category: lib
Target version: next minor


Using a custom require method, I ran into an issue with RubyGems b/c it is using autoload:

  https://github.com/rubygems/rubygems/blob/master/lib/rubygems.rb#L1062-L1074

Seeing that autoload is now discouraged from standard libs (http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-core/41149), when might we see it removed?




-- 
http://bugs.ruby-lang.org/